<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-module" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach($breadcrumbs as $breadcrumb){ ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if($error_warning){ ?>
    <div class="alert alert-danger alert-dismissible"><i class="fa fa-exclamation-circle"></i><?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-module" class="form-horizontal">
		  <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
            <div class="col-sm-10">
              <select name="module_anyplace_status" id="input-status" class="form-control">
                <?php if($module_anyplace_status){ ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php }else{ ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select>
            </div>
          </div>
		  <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_symbol_left; ?></label>
            <div class="col-sm-4">
              <input type="text" name="module_anyplace_symbol_left" class="form-control" value="<?php echo $module_anyplace_symbol_left; ?>" />
            </div>
			<label class="col-sm-2 control-label" for="input-status"><?php echo $entry_symbol_right; ?></label>
            <div class="col-sm-4">
              <input type="text" name="module_anyplace_symbol_right" class="form-control" value="<?php echo $module_anyplace_symbol_right; ?>" />
            </div>
          </div>
		  <table class="table" id="anyplace">
			<thead>
				<tr>
					<th><?php echo $entry_select_module; ?></th>
					<th><?php echo $entry_status; ?></th>
					<th><?php echo $entry_code_insert; ?></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
			<?php $anyplace_row = 0; ?>
			<?php foreach($module_anyplace_data as $data){ ?>
				<tr id="anyplace-row<?php echo $anyplace_row; ?>">
					<td>
						<select name="module_anyplace_data[<?php echo $anyplace_row; ?>][module_id]" class="form-control" data-module-select="1">
						<option value=""></option>
						<?php foreach ($ex_modules as $ex_module){ ?>
						<?php if($data['module_id'] == $ex_module['module_id'].'-'.$ex_module['code']){ ?>
						<option value="<?php echo $ex_module['module_id']; ?>-<?php echo $ex_module['code']; ?>" data-id="<?php echo $ex_module['module_id']; ?>" selected="selected"><?php echo $ex_module['fullname']; ?> - <?php echo $ex_module['name']; ?></option>
						<?php }else{ ?>
						<option value="<?php echo $ex_module['module_id']; ?>-<?php echo $ex_module['code']; ?>" data-id="<?php echo $ex_module['module_id']; ?>" ><?php echo $ex_module['fullname']; ?> - <?php echo $ex_module['name']; ?></option>
						<?php } ?>
						<?php } ?>
					  </select>
					</td>
					<td>
						<select name="module_anyplace_data[<?php echo $anyplace_row; ?>][status]" class="form-control">
						<?php if($data['status']){ ?>
						<option value="1" selected="selected"><?php echo $text_enabled; ?></option>
						<option value="0"><?php echo $text_disabled; ?></option>
						<?php }else{ ?>
						<option value="1"><?php echo $text_enabled; ?></option>
						<option value="0" selected="selected"><?php echo $text_disabled; ?></option>
						<?php } ?>
					  </select>
					</td>
					<?php $d = explode('-', $data['module_id']); ?>
					<td data-shortcode="1"><?php echo $module_anyplace_symbol_left; ?>anymodule-<?php echo $d[0]; ?><?php echo $module_anyplace_symbol_right; ?></td>
					<td class="text-right"><button type="button" onclick="$('#anyplace-row<?php echo $anyplace_row; ?>').remove();" data-toggle="tooltip" title="<?php echo $button_remove; ?>" class="btn btn-danger"><i class="fa fa-minus-circle"></i></button></td>
				</tr>
			<?php $anyplace_row++; ?>
			<?php } ?>
			</tbody>
			<tfoot>
				<tr>
				  <td colspan="3"></td>
				  <td class="text-right"><button type="button" data-toggle="tooltip" title="<?php echo $button_add; ?>" class="btn btn-primary" onclick="addAnyplace();"><i class="fa fa-plus"></i></button></td>
				</tr>
			</tfoot>
		  </table>
		
        </form>
      </div>
    </div>
  </div>
</div>
<script type="text/javascript"><!--
var anyplace_row = <?php echo $anyplace_row; ?>;

function addAnyplace() {
    html  = '<tr id="anyplace-row' + anyplace_row + '">';
	html += '	<td>';
	html += '		<select name="module_anyplace_data[' + anyplace_row + '][module_id]" class="form-control" data-module-select="1">';
	html += '			<option value=""></option>';
	
	<?php foreach ($ex_modules as $ex_module){ ?>
	html += '			<option value="<?php echo $ex_module['module_id']; ?>-<?php echo $ex_module['code']; ?>" data-id="<?php echo $ex_module['module_id']; ?>"><?php echo $ex_module['fullname']; ?> - <?php echo $ex_module['name']; ?></option>';
	<?php } ?>
	
	html += '		  </select>';
	html += '	</td>';
	html += '	<td>';
	html += '		<select name="module_anyplace_data[' + anyplace_row + '][status]" class="form-control">';
	html += '			<option value="1"><?php echo $text_enabled; ?></option>';
	html += '			<option value="0" selected="selected"><?php echo $text_disabled; ?></option>';
	html += '	  </select>';
	html += '	</td>';
	html += '	<td data-shortcode="1"></td>';
	html += '	<td class="text-right"><button type="button" onclick="$(\'#anyplace-row' + anyplace_row + '\').remove();" data-toggle="tooltip" title="{{ button_remove }}" class="btn btn-danger"><i class="fa fa-minus-circle"></i></button></td>';
	html += '</tr>';

	$('#anyplace tbody').append(html);

	anyplace_row++;
}

$(document).on('change', 'select[data-module-select]', function(){
	
	var so = $(this).find('option:selected');
	if(so.attr('data-id')){
		$(this).parent().parent().find('td[data-shortcode]').html('<?php echo $module_anyplace_symbol_left; ?>anymodule-'+so.attr('data-id')+'<?php echo $module_anyplace_symbol_right; ?>');
	}else{
		$(this).parent().parent().find('td[data-shortcode]').html('');
	}
});
//--></script> 
<?php echo $footer; ?>