<?php
class ControllerExtensionModuleAnyplace extends Controller {
	private $scripts_header_document = array();
	private $scripts_footer_document = array();
	private $styles_document = array();
	private $links_document = array();
	
	
	private $scripts_header = array();
	private $scripts_footer = array();
	private $styles = array();
	private $links = array();
	
	private $route = '';
	
	public function __construct($registry) {
		parent::__construct($registry);
		$scripts_header = $registry->get('document')->getScripts('header');
		$scripts_footer = $registry->get('document')->getScripts('footer');
		$styles = $registry->get('document')->getStyles();
		$links = $registry->get('document')->getLinks();
		
		$this->scripts_header_document = array_merge($this->scripts_header_document, $scripts_header);
		$this->scripts_footer_document = array_merge($this->scripts_footer_document, $scripts_footer);
		$this->styles_document = array_merge($this->styles_document, $styles);
		$this->links_document = array_merge($this->links_document, $links);
	}
	
	public function processOutput(&$route, &$data, &$output){
		
		if($this->config->get('module_anyplace_status') && $this->config->get('module_anyplace_data')){
			$this->route = $route;
			
			$output = preg_replace_callback("/".preg_quote($this->config->get('module_anyplace_symbol_left')).'anymodule-(\d+?)'.preg_quote($this->config->get('module_anyplace_symbol_right'))."/",
				array($this, 'doReplace'),
				$output
			);
			
			$repl_head = '';
			$repl_foot = '';
			
			if($this->styles){
				foreach($this->styles as $style){
					if(!in_array($style, $this->styles_document)){
						$repl_head.= '<link href="'.$style['href'].'" type="text/css" rel="'.$style['rel'].'" media="'.$style['media'].'" />';
					}
				}				
			}
			if($this->scripts_header){
				foreach($this->scripts_header as $script){
					if(!in_array($script, $this->scripts_header_document)){
						$repl_head.= '<script src="'.$script.'" type="text/javascript"></script>';
					}
				}				
			}
			if($this->links){
				foreach($this->links as $link){
					if(!in_array($link, $this->links_document)){
						$repl_head.= '<link href="'.$link['href'].'" rel="'.$link['rel'].'" />';
					}
				}				
			}
			
			if($this->scripts_footer){
				foreach($this->scripts_footer as $script){
					if(!in_array($script, $this->scripts_footer_document)){
						$repl_foot.= '<script src="'.$script.'" type="text/javascript"></script>';
					}
				}
			}
			
			if($repl_head){
				$repl_head = $repl_head.'</head>';
				$output = preg_replace('/<\/head>/', $repl_head, $output);
			}
			
			if($repl_foot){
				$repl_foot = $repl_foot.'</body>';
				$output = preg_replace('/<\/body>/', $repl_foot, $output);
			}
		}
	}
	
	private function doReplace($matches){
		$this->scripts_header = array();
		$this->scripts_footer = array();
		$this->styles = array();
		$this->links = array();
		if(isset($matches[1])){
			$this->load->model('setting/module');			
			foreach($this->config->get('module_anyplace_data') as $module_data){
				if($module_data['status']){
					list($module_id, $code) = explode('-', $module_data['module_id']);
					if($module_id==$matches[1] && $this->route!='extension/module/'.$code){
						$module_info = $this->model_setting_module->getModule($module_id);
						if($module_info){
							$out =  $this->load->controller('extension/module/' . $code, $module_info);
							$this->scripts_header = $this->document->getScripts('header');
							$this->scripts_footer = $this->document->getScripts('footer');
							$this->styles = $this->document->getStyles();
							$this->links = $this->document->getLinks();
							return $out;
						}
					}
				}
			}				
		}
		return '';
	}
}